VERSION 5.00
Object = "{65E121D4-0C60-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCHRT20.OCX"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Object = "{0ECD9B60-23AA-11D0-B351-00A0C9055D8E}#6.0#0"; "MSHFLXGD.OCX"
Begin VB.Form frmDBTools 
   Caption         =   "Ping Database Tools"
   ClientHeight    =   5640
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9075
   Icon            =   "frmDBTools.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   5640
   ScaleWidth      =   9075
   StartUpPosition =   1  'CenterOwner
   Begin MSHierarchicalFlexGridLib.MSHFlexGrid grdhostname 
      Height          =   4455
      Left            =   1800
      TabIndex        =   9
      Top             =   840
      Width           =   6975
      _ExtentX        =   12303
      _ExtentY        =   7858
      _Version        =   393216
      FixedCols       =   0
      _NumberOfBands  =   1
      _Band(0).Cols   =   2
   End
   Begin VB.CommandButton cmdViewreport 
      Caption         =   "View Results as a Datasheet"
      Height          =   735
      Left            =   120
      TabIndex        =   8
      Top             =   1200
      Width           =   1335
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   480
      Top             =   3720
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton cmdchangedbfile 
      Caption         =   "Change DB File"
      Height          =   375
      Left            =   6960
      TabIndex        =   5
      Top             =   120
      Width           =   1335
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      Height          =   375
      Left            =   240
      TabIndex        =   4
      Top             =   4560
      Width           =   855
   End
   Begin VB.TextBox txthostname 
      Height          =   285
      Left            =   3000
      TabIndex        =   2
      Top             =   240
      Width           =   1815
   End
   Begin VB.CommandButton cmdviewchart 
      Caption         =   "View Results as a Chart"
      Default         =   -1  'True
      Height          =   735
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   1335
   End
   Begin MSChart20Lib.MSChart chrtping 
      Height          =   4335
      Left            =   1920
      OleObjectBlob   =   "frmDBTools.frx":0442
      TabIndex        =   3
      Top             =   960
      Width           =   6855
   End
   Begin VB.Line Line2 
      X1              =   9000
      X2              =   1680
      Y1              =   720
      Y2              =   720
   End
   Begin VB.Line Line1 
      X1              =   1680
      X2              =   1680
      Y1              =   5520
      Y2              =   720
   End
   Begin VB.Label lbldbfilename 
      Height          =   255
      Left            =   5400
      TabIndex        =   7
      Top             =   360
      Width           =   1335
   End
   Begin VB.Label lbldbname 
      Caption         =   "Current Database:"
      Height          =   255
      Left            =   5160
      TabIndex        =   6
      Top             =   120
      Width           =   1455
   End
   Begin VB.Label lblSinglesite 
      Alignment       =   2  'Center
      Caption         =   "Hostname:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1920
      TabIndex        =   0
      Top             =   240
      Width           =   1095
   End
End
Attribute VB_Name = "frmDBTools"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

' *******************************************
' Copyright 2000-2001 VisualMonkey, Jason Herres, All Rights Reserved.
' *******************************************
' This code written by Jason Herres.   http://www.visualmonkey.com
' I wrote this code to learn about VB.  So, if you are learning VB, feel free to
' modify or redistribute this code for anything you want.  The only caveat is send
' me an email to jasonh@seanet.com with the story of how you used my code.  If you
' happen to use my code for commercial reasons, then please buy a latte for a friend
' of yours on my behalf.
' *******************************************


' add a button for database table report
Public Sub cmdchangedbfile_Click()
'frmdbName.Show

CommonDialog1.InitDir = App.Path
' CancelError is True.
   On Error GoTo ErrHandler
   ' Set filters.
   CommonDialog1.FileName = "*.mdb"
   CommonDialog1.Filter = "All Files (*.*)|*.*|MS Access (*.mdb)|*.mdb|"
   ' Specify default filter.
   CommonDialog1.FilterIndex = 2
   ' Display the Open dialog box.
   CommonDialog1.ShowOpen
   ' Call the open file procedure.
   If CommonDialog1.FileName = "*.mdb" Then Exit Sub
    db_name = CommonDialog1.FileName
    strcount = Len(App.Path)
    db_name = Right$(db_name, (Len(db_name) - strcount))
'show database filename
lbldbfilename.Caption = db_name
  
  Exit Sub

ErrHandler:
' User pressed Cancel button.
   Exit Sub
End Sub

Public Sub cmdViewreport_Click()
    Dim db As Database
    Dim rs As Recordset
    Dim sql As String
    Dim hostname As String
    Dim lRecordCount As Long
    
chrtping.Visible = False

'error checking for hostname
If txthostname.Text = "" Then
 Errors.ErrorMsg (1)
 Exit Sub
  End If
'specify the query
sql = "SELECT * From tblpingraw Where hostname = """ + txthostname.Text + """ order by ddate ;"
 'open db
Set db = OpenDatabase(App.Path & "\" & db_name)
'execute the query
    Set rs = db.OpenRecordset(sql)
   lRecordCount = rs.RecordCount
    grdhostname.Cols = 4
    grdhostname.Rows = 0
     Do While Not rs.EOF
        grdhostname.AddItem (rs("Hostname").Value & "") & vbTab & (rs("dDate").Value & "") & vbTab & (rs("Dtime").Value & "") & vbTab & (rs("roundtriptime").Value & "")
       rs.MoveNext
        Loop
        
rs.Close
db.Close
' sets all the correct parameters for the datagrid report
  Set rs = Nothing
    Set db = Nothing
    With grdhostname
    .ColAlignment(0) = 4
    .ColAlignmentHeader(0) = 4
    .ColAlignmentHeader(1) = 4
    .ColAlignmentHeader(2) = 4
    .ColAlignmentHeader(3) = 4
    .ColWidth(0) = 2100
    .ColWidth(1) = 1100
    .ColWidth(2) = 1100
    .ColWidth(3) = 1500
    .ColHeader(0) = flexColHeaderOn
    .ColHeaderCaption(0, 0) = "Hostname"
    .ColHeaderCaption(0, 1) = "Date"
    .ColHeaderCaption(0, 2) = "Time"
    .ColHeaderCaption(0, 3) = "Round Trip (ms)"
    .Visible = True
End With

End Sub
Private Sub Form_Load()
'set db name in caption
lbldbfilename.Caption = db_name
'hide ping chart
chrtping.Visible = False
'hide grid
grdhostname.Visible = False
'set text field name
txthostname.Text = frmPingVB.txthostname.Text

End Sub

Private Sub Form_Unload(Cancel As Integer)
frmPingVB.Show
End Sub

Private Sub cmdClose_Click()
Unload Me
frmPingVB.Show

End Sub

Public Sub cmdViewChart_Click()
    Dim db As Database
    Dim rs As Recordset
    Dim sql As String
    Dim hostname As String

'error checking for hostname
If txthostname.Text = "" Then
 Errors.ErrorMsg (1)
 Exit Sub
  End If
    
sql = "SELECT Avg(roundtriptime) AS AvgOfroundtriptime, ddate From tblpingraw Where hostname = """ + txthostname + """ and statuscode= ""0   [ ip success ]"" GROUP BY ddate;"
  
'count records and align with reporting
Set db = OpenDatabase(App.Path & "\" & db_name)
    Set rs = db.OpenRecordset(sql)
      idatecnt = rs.RecordCount
 If idatecnt = 0 Then
 Errors.ErrorMsg (6)
 Exit Sub
 End If
  x = 0

With chrtping
    'set chart parameters
    .chartType = VtChChartType2dStep
    .ColumnCount = 1
    .ColumnLabel = "Response Time (ms)"
    .ShowLegend = True
    .RowCount = idatecnt
    .Width = 6615
    End With

' Change chart types if there's only 1 record
If rs.RecordCount = 1 Then
chrtping.chartType = VtChChartType2dStep

' put steps in here to see what value is - and how to graph a 0 value
chrtping.Row = 1
chrtping.Data = rs("avgofroundtriptime").Value
chrtping.RowLabel = rs("ddate").Value

    Smessage = "There is only 1 day of ping time records.  That day's avg. ping time is: " + Str(rs("avgofroundtriptime").Value) + "ms. The chart will be empty until I learn more about the chart control."
    MsgBox (Smessage)

Else
'normal charting mechanism
While x < idatecnt
       x = x + 1
    chrtping.Column = 1
    chrtping.Row = x
    chrtping.Data = rs("avgofroundtriptime").Value
    chrtping.RowLabel = rs("ddate").Value
    rs.MoveNext
Wend
End If

rs.Close
db.Close
'flip from frame to chart
grdhostname.Visible = False


chrtping.Visible = True

End Sub

Private Sub Form_close()
frmPingVB.Show
End Sub


